Skip to content

Update Contract

Request

Update a contract by ID.

Security
ArxusSSO(Required scopes: ROLE_ITSM_WRITE)
Path
contractIdstringrequired

The unique identifier of the contract.

Example:60afa4b6519c8660f08b2d63
Bodyapplication/jsonrequired
externalIdstring or null

The external unique identifier of the contract.

Example:"EXT-CON-001"
curl -i -X PATCH \
  https://developer.arxus.eu/_mock/apis/care/openapi/contracts/60afa4b6519c8660f08b2d63 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "externalId": "EXT-CON-001"
  }'

Responses

The updated contract.

Bodyapplication/json
metaobject(Response metadata)

Response metadata schema.

dataobject(Contract)

A Care API contract.

Response
{ "meta": {}, "data": { "id": "6825d2cf57918d1ca439bb5e", "companyName": "Acme Corp", "customerName": "Acme Customer", "externalId": "EXT-CON-001", "created": "2025-01-15T10:30:00Z", "updated": "2025-01-16T08:00:00Z" } }